package com.clx.performance.dao.linewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.linewarn.LineWarnConfigMapper;
import com.clx.performance.model.linewarn.LineWarnConfig;
import com.clx.performance.param.pc.linewarn.PageLineWarnConfigParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface LineWarnConfigDao extends BaseDao<LineWarnConfigMapper, LineWarnConfig, Integer> {

    boolean updateConfig(LineWarnConfig item);
    boolean updateStatus(LineWarnConfig item);
    boolean updateDelete(LineWarnConfig item);

    Optional<LineWarnConfig> findById(Integer id);
    Optional<LineWarnConfig> findByName(String name);
    List<LineWarnConfig> listByWarnType(Integer warnType);
    IPage<LineWarnConfig> pageByParam(PageLineWarnConfigParam param);


}
